Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.ui
Class EvolpWebappHelper.EvolpModelProcessor

    java.lang.Object
      lp.ui.EvolpWebappHelper.EvolpModelProcessor

All Implemented Interfaces:
  Consumer<EvolutionStableModel>

Enclosing class:
  EvolpWebappHelper

    private class EvolpWebappHelper.EvolpModelProcessor

extends Object
implements Consumer<EvolutionStableModel>

Field Summary
`private int` | `n`

Constructor Summary
`EvolpWebappHelper.EvolpModelProcessor()`

Method Summary
`void` | `afterConsuming()` If the consumer is used to process a sequence of instances, this method should be called after the sequence ends.
`void` | `beforeConsuming()` If the consumer is used to process a sequence of instances, this method should be called before the sequence begins.
`void` | `consume(EvolutionStableModel model)` Consume `item`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### n

    private int n

Constructor Detail

### EvolpWebappHelper.EvolpModelProcessor

    public EvolpWebappHelper.EvolpModelProcessor()

Method Detail

### beforeConsuming

    public void beforeConsuming()

  Description copied from interface: `Consumer`
  If the consumer is used to process a sequence of instances, this method should be called before the sequence begins.

  Specified by:
    `beforeConsuming` in interface `Consumer<EvolutionStableModel>`

### afterConsuming

    public void afterConsuming()

  Description copied from interface: `Consumer`
  If the consumer is used to process a sequence of instances, this method should be called after the sequence ends.

  Specified by:
    `afterConsuming` in interface `Consumer<EvolutionStableModel>`

### consume

    public void consume(EvolutionStableModel model)

  Description copied from interface: `Consumer`
  Consume `item`.

  Specified by:
    `consume` in interface `Consumer<EvolutionStableModel>`
  Parameters:
    `model` - the item to consume

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD